const { app, BrowserWindow, ipcMain } = require('electron')
const path = require('path');
var ipc = require('electron').ipcMain;
var workerWindow;

const createWindow = () => {
  // Create the browser window.
  const mainWindow = new BrowserWindow({
    width: 800,
    height: 600,
    fullscreen: true,
    webPreferences: {
      nodeIntegration: false,
      contextIsolation: true,
      preload: path.join(__dirname, 'preload.js'),
      devTools: false
    }
  });
  workerWindow = new BrowserWindow({show: false});
  mainWindow.setMenu(null);
  mainWindow.loadFile(path.join(__dirname, 'index.html'));
};

app.on('ready', createWindow);

app.on('window-all-closed', () => {
  if (process.platform !== 'darwin') {
    app.quit();
  }
});

ipc.on('invokeAction', function(event, data) {
	if (data == "exit")
		app.exit(0);
	
	if (BrowserWindow.getAllWindows().length > 0) 
	{
		var window = BrowserWindow.getFocusedWindow();
  		if ((typeof window !== 'undefined') && (data == "print"))
  			window.webContents.print({silent: true, printBackground: false, deviceName: ''});
  		else
  		{
			if (typeof workerWindow !== 'undefined') 
			{
		workerWindow.loadURL('data:text/html;charset=utf-8,'+encodeURIComponent(data));
			workerWindow.webContents.once('did-finish-load', () => {
			  workerWindow.webContents.print({silent: true, printBackground: false, deviceName: ''});
			});
		  }
  		}
  	}
});


app.on('activate', () => {
  if (BrowserWindow.getAllWindows().length === 0) {
    createWindow();
  }
})
;


